@use "../theme";

.card {
    $self: &;
    background-color: white;
    // border-radius: theme.$borderRadius;
    box-shadow: theme.$boxShadow;
    text-decoration: none;

    &__link {
        text-decoration: none;

        &:hover {
            text-decoration: underline;

            h4 {
                color: theme.$colorBrand;
            }
        }

        h4 {
            color: theme.$colorBrandDark;
        }
    }

    &__body {
        width: 100%;
        position: relative;
    }

    &__header {
        border-top-left-radius: theme.$borderRadius;
        border-top-right-radius: theme.$borderRadius;
        background-color: theme.$colorInfoLight;
        border: 1px solid darken(theme.$colorInfoLight, 10%);
        text-align: center;
        padding: theme.$spacing01 0;

        p {
            margin-bottom: 0;
        }

        &--negative-margin {
            width: calc(100% + 2rem);
            margin-top: -1rem;
            margin-left: -1rem;
        }
    }

    &__avatar {
        display: flex;
        justify-content: flex-start;
        align-items: flex-start;
        margin-right: 0;
        margin-bottom: theme.$spacing03;
        position: absolute;

        @media only screen and (min-width: theme.$sm) {
            position: relative;
            margin-bottom: 0;
            margin-right: theme.$spacing05;
            left: inherit;
            top: inherit;
        }

        img {
            width: 3rem;
            object-fit: cover;
        }
    }

    &__details {
        display: flex;
        flex-direction: column;
        font-size: theme.$fontSizeSmall;

        @media only screen and (min-width: theme.$sm) {
            flex-direction: row;
        }

        &__left {
            display: flex;
            margin-bottom: theme.$spacing02;

            @media only screen and (min-width: theme.$sm) {
                margin-bottom: 0;
            }
        }

        &__right {
            margin-left: 0;
            display: flex;
            align-items: center;

            svg {
                fill: theme.$colorTextCard;
                height: 1rem;
            }

            @media only screen and (min-width: theme.$sm) {
                margin-left: theme.$spacing06;
            }
        }

        &__prop {
            color: theme.$colorTextCard;
            align-self: flex-start;
            align-items: center;
            margin-right: 0.5rem;
            text-decoration: none;
            display: flex;

            &:hover {
                svg {
                    fill: theme.$colorTextLinkHover;
                }
            }

            svg {
                fill: theme.$colorTextCard;
                height: 1rem;
            }
        }
    }

    &__left {
        display: flex;
        flex-direction: column;
        align-items: flex-start;

        &--full-width {
            flex: 1;
        }
    }

    &__link-list {
        margin-top: 0;
        margin-bottom: 0;
        padding-top: 0;
        padding-bottom: 0;
        padding-left: 17px;

        a {
            text-decoration: none;
        }
    }

    &__title {
        font-size: theme.$fontSizeMedium;
        margin-top: 0;
        margin-bottom: .125em;
        text-decoration: none;
        color: theme.$colorPaletteGray900;

        &--chapter {
            font-size: theme.$fontSizeXLarge;
            margin-bottom: theme.$spacing04;
        }
    }

    &__description {
        color: theme.$colorPaletteGray900;
    }

    &__icon {
        margin-bottom: theme.$spacing04;
        display: flex;
        justify-content: center;

        svg {
            stroke-width: 1.25;
        }
    }

    &__sub-title {
        font-size: theme.$fontSizeSmall;
        color: theme.$colorPaletteGray800;
        text-decoration: none;
        margin-bottom: theme.$spacing03;
    }

    &__link {
        text-decoration: none;
        font-size: 1.125rem;
        line-height: 1.25;

        &--around-avatar {
            min-height: 3rem;
            align-items: center;
            margin-left: 3.5rem;
            font-size: 1.125rem;
            line-height: 1.3;

            @media only screen and (min-width: theme.$md) {
                margin-left: 0;
                min-height: auto;
            }
        }
    }

    &--bg {
        background-color: theme.$colorPaletteGray100;

        .field-wrapper {
            p {
                color: theme.$colorPaletteGray800;
            }
        }
    }

    &--hover {
        &:hover {
            background: theme.$colorPaletteGray100;

            #{ $self }__title {
                color: theme.$colorBrand;
            }
        }
    }

    &--horizontal {
        display: flex;
        flex-direction: column;

        #{ $self }__body {
            display: flex;
            flex-direction: column;
            justify-content: space-between;

            @media only screen and (min-width: theme.$md) {
                flex-direction: row;
            }

            #{ $self }__right {
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: end;

                @media only screen and (min-width: theme.$md) {
                    flex-direction: column;
                    justify-content: flex-start;
                }

                &__grades {
                    display: flex;
                    flex-direction: row;
                    margin-top: theme.$spacing02;

                    @media only screen and (min-width: theme.$md) {
                        margin-top: theme.$spacing04;
                    }

                    .pie-chart {
                        margin-left: theme.$spacing02;
                    }
                }
            }
        }
    }

    &--not-rounded-top {
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }

    &--call-to-action {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding: theme.$spacing05;
        color: theme.$colorBrandDark;

        &__icon {
            svg {
                width: 60px;
                height: 60px;
                stroke-width: 1.25px;
            }
        }

        &:hover {
            background: theme.$colorPaletteGray50;

            #{ $self }__title {
                color: theme.$colorBrand;
            }

            #{ $self }__footer__text {
                text-decoration: underline;
                color: theme.$colorBrand;
            }
        }

        @media only screen and (min-width: theme.$sm) {
            padding: theme.$spacing06;
        }

        #{ $self }__title {
            margin-bottom: theme.$spacing03;
            color: var(--color-font-dark-blue);
        }

        p {
            color: theme.$colorPaletteGray800;
        }

        #{ $self }__footer {
            display: flex;
            justify-content: flex-start;
            align-items: center;
            font-weight: 600;

            &__text {
                color: var(--color-font-dark-blue);
            }

            svg {
                fill: var(--color-font-dark-blue);
            }
        }
    }

    &--padding4 {
        padding: theme.$spacing04;
    }

    &--padding-md {
        --card-padding: #{theme.$spacing04};
        padding: var(--card-padding);

        @media only screen and (min-width: theme.$sm) {
            --card-padding: #{theme.$spacing05};
        }
    }

    &--padding-lg {
        --card-padding: #{theme.$spacing04};
        padding: var(--card-padding);

        @media only screen and (min-width: theme.$sm) {
            --card-padding: #{theme.$spacing06};
        }
    }
}